Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Opgelost] Ubuntu desktop 12.04 LTS PHP en Apache updaten  (gelezen 777 keer)

Offline DrHouse

  • Lid
  • Steunpunt: Nee
[Opgelost] Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Gepost op: 2013/10/14, 17:40:25 »
Is het mogelijk om PHP,  Apache en Mysql  te update van Ubuntu 12.04 LTS naar de laatste nieuwe versie?
En hoe kan ik dat het beste doen.
« Laatst bewerkt op: 2013/10/15, 20:13:12 door DrHouse »

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #1 Gepost op: 2013/10/14, 18:49:52 »
Dat kan wel, maar dan zal je dat buiten de pakketbronnen van Ubuntu om moeten doen. Dat betekent dat je een PPA moet zoeken waar ze in zitten, zelf pakketten moet bouwen of alles compilen vanuit source.

Tenzij je een ervaren programmeur bent (en zelfs dan nog...) zijn deze opties absoluut niet aan te raden. De pakketten die Ubuntu heeft zijn nauwkeurig op elkaar afgestemd, grondig getest en worden bijgehouden voor veiligheidsupdates. Ga je buiten de pakketbronnen om werken, dan ben je helemaal zelf verantwoordelijk en "vervalt de garantie" van Ubuntu/Canonical. Voor support bij problemen ben je dan ook op jezelf aangewezen.

Kortom: de optie is er wel, maar ik zou het echt niet doen :)

Wat is de reden dat je nieuwere versies zoekt? Misschien is er een betere oplossing te vinden.

Offline DrHouse

  • Lid
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #2 Gepost op: 2013/10/14, 19:16:07 »
Bedankt voor je snelle antwoord.
Ik heb die versie thuis op een PC staan.
En heb er 2 websites op draaien.
Die 2 staan ook op een hostsite.
Maar wanneer ik bepaalde extensies en modules wil updaten in joomla dat krijg ik gekke errors.
Andere extensies en modules werken wel, dus de rechten staan dan goed denk ik.
En bij de hoster gaat het wel.
Het enige verschil is de ubuntu versie en de PHP enz.
Bij de hoster is het Ubuntu 13.04 die heeft alles hoger.
Of zou ik dan over moeten gaan naar de desktop 13.04?

Het gaat dan om Image Show GK4 updaten en de K2.
« Laatst bewerkt op: 2013/10/14, 19:20:26 door DrHouse »

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #3 Gepost op: 2013/10/14, 19:47:57 »
Welke errors krijg je precies te zien dan? Misschien mis je enkele pakketten die je gewoon kan installeren of moet je een module aanzetten met sudo a2enmod modulenaam.

Offline DrHouse

  • Lid
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #4 Gepost op: 2013/10/14, 19:57:24 »
Image Show GK4ver. 1.38 (mod_image_show_gk4_J!25.zip)
Error:
Kopiƫren mislukt
JInstaller: :Installeren: Kopiƫren bestand /var/www/game-media.nl/public_html/tmp/install_525c2fa4aa6b9/mod_image_show_gk4/mod_image_show_gk4.php naar /var/www/game-media.nl/public_html/modules/mod_image_show_gk4/mod_image_show_gk4.php mislukt
Fout bij het installeren van module


Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #5 Gepost op: 2013/10/14, 20:40:10 »
Dat lijkt me eerder een probleem met de rechten op de bestanden. Zie je ook zulke foutmeldingen in /var/log/apache2/error.log?

Ik gok dat je een aantal mappen van eigenaar moet veranderen (naar www-data).

Offline DrHouse

  • Lid
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #6 Gepost op: 2013/10/14, 21:28:41 »
Dit is de error

[Mon Oct 14 21:22:43 2013] [error] [client ipadres] File does not exist: /var/www/wii-media.nl/public_html/administrator/plugins, referer: http://ipadres/wii-media.nl/public_html/administrator/index.php?option=com_plugins&view=plugin&client=site&task=edit&cid[]=236

Wii-media klopt niet, moet game-media zijn.
Gaan even kijken hoe we dit op kunnen lossen
« Laatst bewerkt op: 2013/10/14, 21:55:02 door DrHouse »

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #7 Gepost op: 2013/10/14, 21:37:20 »
Dat lijkt een ongerelateerde fout, waarschijnlijk omdat de rewrite module niet aan staat of omdat de instellingen van apache of een .htaccess bestand verkeerd staan.

Offline DrHouse

  • Lid
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #8 Gepost op: 2013/10/14, 21:40:10 »
Sorry was iets anders aan het doen.
Dit is de error.

[Mon Oct 14 21:34:16 2013] [error] [client ipadres] PHP Warning:  file_put_contents(/var/www/game-media.nl/public_html/administrator/components/com_community/jomsocialupdate.ini): failed to open stream: Permission denied in /var/www/game-media.nl/public_html/libraries/joomla/filesystem/file.php on line 421, referer: http://ipadres/game-media.nl/public_html/administrator/index.php?option=com_installer
« Laatst bewerkt op: 2013/10/14, 21:55:32 door DrHouse »

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #9 Gepost op: 2013/10/14, 22:19:20 »
In dat geval:
Dat lijkt me eerder een probleem met de rechten op de bestanden. Zie je ook zulke foutmeldingen in /var/log/apache2/error.log?

Ik gok dat je een aantal mappen van eigenaar moet veranderen (naar www-data).
Je zal de betreffende mappen en bestanden dus de goede rechten moeten geven.

sudo chown -R  www-data.www-data /var/www/game-media.nl

Offline DrHouse

  • Lid
  • Steunpunt: Nee
Re: Ubuntu desktop 12.04 LTS PHP en Apache updaten
« Reactie #10 Gepost op: 2013/10/15, 20:12:31 »
Perfect dit werkt.
Hartelijk bedankt Johan.